- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VrpCutGenerator Class Reference

`#include <VrpCutGenerator.h>`

Inheritance diagram for VrpCutGenerator:

[legend]
Collaboration diagram for VrpCutGenerator:

[legend]
List of all members.

## Public Member Functions
| VrpCutGenerator (VrpModel *vrp=0, int vertnum=0)
| Construtors.
virtual | ~VrpCutGenerator ()
| Destructor.
virtual bool | generateConstraints (BcpsConstraintPool &conPool)
| Generate cons for the client model.
int | connectivityCuts (BcpsConstraintPool &conPool)
int | addVrpCut (BcpsConstraintPool &conPool, char *coef, int rhs, int type)
void | setModel (VrpModel *vrp)
int | greedyShrinking1 (VrpModel *m, int max_shrink_cuts, BcpsConstraintPool &conPool)
int | greedyShrinking1One (VrpModel *m, int max_shrink_cuts, BcpsConstraintPool &conPool)
int | greedyShrinking6 (VrpModel *m, int max_shrink_cuts, int trial_num, double prob, BcpsConstraintPool &conPool)
int | greedyShrinking6One (VrpModel *m, int max_shrink_cuts, int trial_num, double prob, BcpsConstraintPool &conPool)
int | greedyShrinking2One (VrpModel *m, int max_shrink_cuts, BcpsConstraintPool &conPool)
## Private Attributes
VrpModel * | model_
| The client model.
char ** | coef_list
int * | ref_
double * | cutVal_
char * | cutList_
char * | inSet_

## Detailed Description

Definition at line 34 of file VrpCutGenerator.h.

## Constructor & Destructor Documentation

VrpCutGenerator::VrpCutGenerator | ( | VrpModel * | vrp = `0`,
|  | int | vertnum = `0` |
| ) |  |  |

Construtors.

virtual VrpCutGenerator::~VrpCutGenerator | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 51 of file VrpCutGenerator.h.

References cutList_, cutVal_, inSet_, and ref_.

## Member Function Documentation

virtual bool VrpCutGenerator::generateConstraints | ( | BcpsConstraintPool & | conPool | ) | `[virtual]`

Generate cons for the client model.

The routine returns true if reoptimisation is needed (because the state of the solver interface has been modified).

Reimplemented from BlisConGenerator.

int VrpCutGenerator::connectivityCuts | ( | BcpsConstraintPool & | conPool | ) |

int VrpCutGenerator::addVrpCut | ( | BcpsConstraintPool & | conPool,
|  | char * | coef,
|  | int | rhs,
|  | int | type |
| ) |  |  |

void VrpCutGenerator::setModel | ( | VrpModel * | vrp | ) | `[inline]`

Definition at line 68 of file VrpCutGenerator.h.

References model_.

int VrpCutGenerator::greedyShrinking1 | ( | VrpModel * | m,
|  | int | max_shrink_cuts,
|  | BcpsConstraintPool & | conPool |
| ) |  |  |

int VrpCutGenerator::greedyShrinking1One | ( | VrpModel * | m,
|  | int | max_shrink_cuts,
|  | BcpsConstraintPool & | conPool |
| ) |  |  |

int VrpCutGenerator::greedyShrinking6 | ( | VrpModel * | m,
|  | int | max_shrink_cuts,
|  | int | trial_num,
|  | double | prob,
|  | BcpsConstraintPool & | conPool |
| ) |  |  |

int VrpCutGenerator::greedyShrinking6One | ( | VrpModel * | m,
|  | int | max_shrink_cuts,
|  | int | trial_num,
|  | double | prob,
|  | BcpsConstraintPool & | conPool |
| ) |  |  |

int VrpCutGenerator::greedyShrinking2One | ( | VrpModel * | m,
|  | int | max_shrink_cuts,
|  | BcpsConstraintPool & | conPool |
| ) |  |  |

## Member Data Documentation

VrpModel* VrpCutGenerator::model_`[private]`

The client model.

Reimplemented from BlisConGenerator.

Definition at line 38 of file VrpCutGenerator.h.

Referenced by setModel().

char** VrpCutGenerator::coef_list`[private]`

Definition at line 39 of file VrpCutGenerator.h.

int* VrpCutGenerator::ref_`[private]`

Definition at line 40 of file VrpCutGenerator.h.

Referenced by ~VrpCutGenerator().

double* VrpCutGenerator::cutVal_`[private]`

Definition at line 41 of file VrpCutGenerator.h.

Referenced by ~VrpCutGenerator().

char* VrpCutGenerator::cutList_`[private]`

Definition at line 42 of file VrpCutGenerator.h.

Referenced by ~VrpCutGenerator().

char* VrpCutGenerator::inSet_`[private]`

Definition at line 43 of file VrpCutGenerator.h.

Referenced by ~VrpCutGenerator().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Blis/examples/VRP/VrpCutGenerator.h